Bug 16432 - Code demos via HTML help gives an error
Summary: Code demos via HTML help gives an error
Status: CLOSED FIXED
Alias: None
Product: R
Classification: Unclassified
Component: Misc (show other bugs)
Version: R-devel (trunk)
Hardware: All All
: P5 normal
Assignee: R-core
URL:
Depends on:
Blocks:
 
Reported: 2015-06-17 12:27 UTC by Henrik Bengtsson
Modified: 2015-12-14 13:45 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Henrik Bengtsson 2015-06-17 12:27:37 UTC
PROBLEM:
I'm getting error:

Error in order(matches$Position) : argument 1 is not a vector

Whenever I try to access a package's "Code demos" page via the link on
the package HTML index page.


SOME TROUBLESHOOTING:
Looking at for instance the 'stats' package.  The "Code demos" URL
takes the form

 http://127.0.0.1:30200/library/stats/demo

Click on this, takes me to

 http://127.0.0.1:30200/doc/html/Search?package=stats&agrep=FALSE&types=demo


WHERE:
I see this on R devel (2015-06-15 r68521) and R 3.2.1 RC (2015-06-14
r68516) - both on Platform: x86_64-w64-mingw32/x64 (64-bit).  Haven't
checked other platforms.
Comment 1 Henrik Bengtsson 2015-06-17 12:29:12 UTC
R-devel thread https://stat.ethz.ch/pipermail/r-devel/2015-June/071407.html
Comment 2 Duncan Murdoch 2015-06-20 11:15:25 UTC
This is fixed in R-devel as of r68561, and will soon be ported to R-patched.